knowledge-sources
Scout API 1.0.0 — see schemas for shared types.
GET /api/knowledge-sources
list_knowledge_sources
Responses
- 200 — OK
application/json→ KnowledgeSourceResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/knowledge-sources/{source_type}/browse
browse_source_items
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
source_type |
path | string | yes |
Request body
Content-Type: application/json
Schema: BrowseSourceBody
Responses
- 200 — OK
application/json→ KnowledgeSourceBrowseResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/knowledge-sources/{source_type}/search
search_source_items
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
source_type |
path | string | yes |
Request body
Content-Type: application/json
Schema: SearchSourceBody
Responses
- 200 — OK
application/json→ KnowledgeSourceBrowseResponse- 422 — Unprocessable Content
application/json→ ValidationError